eoAssembledFitnessAverageStat(3)

NAME
eoAssembledFitnessAverageStat - Average fitness values of a population, where the fitness is of type eoScalarAssembledFitness.

SYNOPSIS

#include <eoAssembledFitnessStat.h>

Inherits eoStat< EOT, double >.

  Public Types
typedef EOT::Fitness Fitness

  Public Member Functions
eoAssembledFitnessAverageStat (unsigned _whichTerm=0, std::string _description='Average Fitness')
virtual void operator() (const eoPop< EOT > &_pop)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
unsigned whichFitnessTerm

Detailed Description

  template<class EOT> class eoAssembledFitnessAverageStat< EOT >
Average fitness values of a population, where the fitness is of type eoScalarAssembledFitness. Specify in the constructor, for which fitness term (index) the average should be evaluated. Only values of object where the failed boolean = false is set are counted.

Definition at line 46 of file eoAssembledFitnessStat.h.

Author

Generated automatically by Doxygen for EO from the source code.